apache2.2 + version of the apr.h error

2010-04-06  来源:本站原创  分类:Internet  人气:193 

Apr installed, use the apr_get_table always error:
syntax error before "apr_off_t"

32-bit machines might have this problem, modify apr.h:
To typedef off64_t apr_off_t;
Change
typedef long long apr_off_t;
Then:
Reinstall install apr / apr-util / httpd, can solve the problem

相关文章
  • apache2.2 + version of the apr.h error 2010-04-06

    Apr installed, use the apr_get_table always error: syntax error before "apr_off_t" 32-bit machines might have this problem, modify apr.h: To typedef off64_t apr_off_t; Change typedef long long apr_off_t; Then: Reinstall install apr / apr-util /

  • Bad version number in. Class file error 2010-05-25

    Will be deployed to tomcat run-time program error: Bad version number in. Class file Error reason: myeclipse default jdk 1.6 compiled version, and I configured the jdk is 1.5, when loaded by a different compiled version will cause this error Detailed

  • XP systems How to configure Apache2.2 2010-02-05

    Apache2.2.4 php5.2.1 mysql configuration The first step: 1. Apache2.2 and mysql5 installed Were assumed directory: C: / Apache2.2, C: / MySQL5 2. Unzip php5.1.1-Win32.zip to C: / php5 3. Install navicat (graphical management tool for MySQL) Note: Whe

  • apache2 + PHP4.4.1 + Mysql4.1.18 + GD2 + ZendOptimizer (original) 2010-04-24

    apache2 + PHP4.4.1 + Mysql4.1.18 + GD2 + ZendOptimizer Preparing to install all the software directory: / soft / lapm Working directory: / soft / dotmp Working directory after the installation process: / httpd package list: freetype-2.1.10.tar.gz gd-

  • Oracle asynchronous io error 2010-04-22

    Customers continue to report a database alert log the following error Quote LNS: Standby redo logfile selected for thread 1 sequence 4060 for destination LOG_ARCHIVE_DEST_2 Thu Apr 22 06:49:04 2010 Errors in file / oracle/admin/archive/udump/archive_

  • SOCKET socket error code description 2010-08-13

    Reprinted from: http://hi.baidu.com/c95wl/blog/item/1b8e75220e31b2a34723e87f.html (Encountered an error code of ... depressed ... NND ...) This article describes possible error codes, by WSAGetLastError (Wsapiref_2tiq.asp) function returns. Alphabeti

  • [apr] rm: cannot remove `libtoolT': No such file or directory 2015-05-03

    OS:ubuntu 12.04 64bit Apr Version:1.4.6 error info: rm: cannot remove `libtoolT': No such file or directory solution:打开configure文件找到30065(不同的版本可能位置不一样) 将这行代码注释掉# $RM "$cfgfile" 然后重新编译,问题可以解决 网上有其他automake之类的办法,我都尝试过,没有办法解决问题,只有此办法可行,特此备注.

  • java.lang.UnsupportedClassVersionError: Bad version number in. class file deal with the problem 2010-07-19

    Today in erecting a new development environment, because MyEclipse6.0 use jre1.6 version is 6.0, the use of compiler-level, while the Tomcat Web server using jdk version is 1.5, This will apply to deploy to the server, the day after tomorrow reported

  • Command line error Exception in thread "main" java.lang.UnsupportedClassVersionError: 2010-07-23

    Command line error Exception in thread "main" java.lang.UnsupportedClassVersionError: Filter (Unsupp orted major.minor version 50.0). Command line, enter: javac-version shows: javac 1.4.2 I installed the jdk 1.6's how it becomes 1.4, and general

  • Install and use Windows Wget version 1.10.2 2010-08-18

    Install and use Windows Wget version 1.10.2 Explain * Wget Home: http://wget.sunsite.dk/ * Windows Wget version 1.10.2 Home: http://www.christopherlewis.com/WGet/WGetFiles.htm * Windows Wget version 1.10.2 download http://www.christopherlewis.com/WGe

  • apache2.2.8 under the security settings in windows2003 2010-08-18

    As we all know, under the windows the first time when the Apache was installed as a service, it will be the user "System" (the local system account) to run. If the web server all the resources at the local system, it would issue less, but will h

  • android compile source error solution 2010-08-30

    Ubuntu9.10 the purity of the system is installed by default, do not install any other software. 1. Download Source android-2.1_r2, directly make 2. Error and resolve as follows: (1) / bin / bash: bison: command not found Solution: a @ ubuntu: ~ / wor

  • Windows install Apache2.2 + PHP5.3 + Mysql5.1 2010-10-28

    (A) 1. Download apache_2.2.13-win32-x86-no_ssl.msi 2. Download php-5.3.0-Win32-VC6-x86.zip Note VC6 versions for Apache, VC9 version for IIS php-5.3.0-nts-Win32-VC6-x86.msi Apache can not be properly installed (?) (Note: After I tested, can be instal

  • Command line error Exception in thread mainjava.lang.UnsupportedClassVersionError: 2010-11-26

    Command line error Exception in thread "main" java.lang.UnsupportedClassVersionError: Filter (Unsupp orted major.minor version 50.0). This error almost killed me, at the command line with javac *. java to compile a class or package can pass the

  • Android-2.1 source compile error and solution 2010-11-29

    Install the components: sudo apt-get install git-core gnupg flex bison gperf build-essential zip curl zlib1g-dev gcc-multilib g + +-multilib libc6-dev-i386 lib32ncurses5-dev ia32-libs x11proto-core-dev libx11-dev lib32readline5-dev lib32z- dev java-c

  • RHEL5.4 + MYSQL5.1.36 + APACHE2.2.4 + PHP5.2.6 2010-12-24

    RHEL5.4 + MYSQL5.1.36 + APACHE2.2.4 + PHP5.2.6 (1). Installing MySQL / / See whether the system has been installed MySQL, if it is beginning to uninstall all the mysql package. # Rpm-qa | grep mysql # Rpm-e mysql-* # Rm-f / etc / my.cnf groupadd mysq

  • Remember the corresponding version of: Hutchison apache resin integrated toss record 2009-01-15

    Today, a good integration of a toss of apache and resin Want to use apache to load balance result of resin under the apache2.2.11, and configure apache and resin are installed in the c root directory, resin version is 3.1.8 resin.conf resin with a 80

  • LINUX error solve by install ORACLE 9204!! 2010-12-05

    LINUX error solve by install ORACLE 9204! ! Previous / Next 2008-10-17 12:34:05 / Personal Category: Linux View (1098) / Comments (5) / Rate (0 / 0) LINUX error solve by install ORACLE 9204! ! [Oracle @ db1 ~] $ uname-a Linux db1 2.6.9-67.ELsmp # 1 S

  • (R) eclipse svn plugins common error messages 2011-08-29

    1, update-r HEAD D: / dev / workforce Working copy not locked; this is probably a bug, please report svn: Directory 'D: / JavaWorkshop / workforce / web / WEB-INF / classes / com / .svn' containing working copy admin area is missing The main problem

  • windows 8 forecast version (x64, x86) 2011-09-17

    The developer preview release only for developers Windows 8 pre-beta version, you may not notice the changes, including increased functionality and deletion. Microsoft reminded that this version may be unstable, operator error, etc., and the final ve